package cz.tendersystems.helpdesk.entity.general;

import org.hibernate.cfg.*;

public class HelpdeskNamingStrategy extends ImprovedNamingStrategy {

	private static final long serialVersionUID = 8209797630303634154L;

	@Override
	public String propertyToColumnName(String nazevAtributu) {
		return super.propertyToColumnName(nazevAtributu.replaceAll("(\\B)([A-Z])", "$1_$2").replace(".", "_").replace("collection&&element", "")).replace("__", "_");
	}

	@Override
	public String logicalColumnName(String nazevSloupce, String nazevAtributu) {
		return super.logicalColumnName(nazevSloupce, nazevAtributu == null ? null : nazevAtributu.replaceAll("(\\B)([A-Z])", "$1_$2").replace(".", "_").replace("collection&&element", "")).replace("__", "_");
	}
}
