package cz.tendersystems.helpdesk.entity.organizationalstructure;

import java.io.*;
import java.util.*;
import javax.persistence.*;
import cz.tendersystems.helpdesk.data.organizationalstructure.*;
import cz.tendersystems.helpdesk.entity.organizationalstructure.sla.*;

@Entity
public class UserSolver extends SystemUser implements Serializable {

	private static final long serialVersionUID = 1L;

	@ManyToMany(fetch = FetchType.LAZY)
	private List<Product> products;

	public UserSolver() {
		super();
	}

	public UserSolver(UserSolverData data) {
		super(data);
	}

	public List<Product> getProducts() {
		return products;
	}

	public void setProducts(List<Product> products) {
		this.products = products;
	}
}
