package cz.tendersystems.helpdesk.service.request;

import javax.ejb.*;
import org.jboss.arquillian.container.test.api.*;
import org.jboss.arquillian.junit.*;
import org.jboss.arquillian.persistence.*;
import org.jboss.shrinkwrap.api.*;
import org.jboss.shrinkwrap.api.spec.*;
import org.junit.*;
import org.junit.runner.*;
import cz.tendersystems.helpdesk.*;
import cz.tendersystems.helpdesk.exception.*;

@RunWith(Arquillian.class)
public class ArchivedRequestServiceTest extends AbstractEJBTest {

	@EJB
	ArchivedRequestService archivedRequestService;

	@Deployment
	public static Archive<?> createDeployment() {
		JavaArchive jar = prepareArchive();

		jar.addClasses(ArchivedRequestService.class);

		System.out.println(jar.toString(true));

		return jar;
	}

	@Test
	@UsingDataSet("datasets/archivedRequestServiceTest/requests.xml")
	@ShouldMatchDataSet(value = "datasets/archivedRequestServiceTest/requests-edit.xml")
	public void shoudChangeRequestStatus() throws ValidationException {
		archivedRequestService.changeRequestStatus();
	}
}
