package cz.tendersystems.helpdesk.export.record;

import java.io.*;
import java.util.*;
import cz.tendersystems.helpdesk.data.organizationalstructure.sla.*;
import cz.tendersystems.helpdesk.export.*;

public class RecordProduct<D extends ProductData> implements Serializable, ReparationOfRecordExport<D> {

	private static final long serialVersionUID = -4445927789096383198L;

	@Override
	public List<String> prepareHeader() {
		List<String> headers = new ArrayList<String>();

		headers.add("id");
		headers.add("name");
		headers.add("active");

		return headers;
	}

	@Override
	public List<Object> prepareRecord(ProductData record) {
		List<Object> data = new ArrayList<Object>();

		data.add(record.getId());
		data.add(record.getName());
		data.add(record.getActive());

		return data;
	}
}