package cz.tendersystems.helpdesk.general.converters;

import javax.enterprise.context.*;
import javax.faces.component.*;
import javax.faces.context.*;
import javax.faces.convert.*;
import javax.inject.*;

@Named
@RequestScoped
public class BooleanConverter implements Converter {

	@Override
	public Object getAsObject(FacesContext context, UIComponent component, String stringValue) {
		return stringValue == null || stringValue.equals("Nezvoleno") ? null : Boolean.valueOf(stringValue);
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component, Object object) {
		if (object == null || object instanceof String && ((String) object).isEmpty()) {
			return null;
		} else if (object instanceof Boolean || object instanceof String) {
			return object.toString();
		} else {
			throw new IllegalArgumentException();
		}
	}
}
