package cz.tendersystems.helpdesk.general.tools;

import java.io.*;
import javax.enterprise.context.*;
import javax.inject.*;
import cz.tendersystems.helpdesk.general.*;

@Named
@RequestScoped
public class EnumsTools implements Serializable {

	private static final long serialVersionUID = 4607866118481157777L;

	public String getStringValueFromEnumConstant(Enum<?> enumObject) {
		return enumObject == null ? null : InterfaceTools.localize(getKeyStringValueFromEnumConstant(enumObject));
	}

	public String getKeyStringValueFromEnumConstant(Enum<?> enumObject) {
		return enumObject == null ? null : Tools.getKeyStringValue(enumObject.getClass().getSimpleName(), enumObject.name());
	}

	public String getKeyStringValue(String enumType, String enumConstant) {
		return Tools.getKeyStringValue(enumType, enumConstant);
	}
}
