package cz.tendersystems.helpdesk.security;

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import javax.imageio.*;
import javax.inject.*;

@Named
public class DrawCaptcha {

	public void drawImage(OutputStream output, Object captcha) throws IOException {
		BufferedImage image = new BufferedImage(100, 30, BufferedImage.TYPE_INT_RGB);
		Graphics g = image.getGraphics();
		g.fillRect(0, 0, 100, 30);
		g.setColor(Color.BLACK);
		g.setFont(new Font(Font.MONOSPACED, Font.PLAIN, 16));
		g.drawString((String) captcha, 5, 20);

		ImageIO.write(image, "png", output);
	}
}
