package cz.tendersystems.helpdesk.servlet;

import java.io.*;
import javax.ejb.*;
import javax.servlet.*;
import javax.servlet.http.*;
import cz.tendersystems.helpdesk.data.request.*;
import cz.tendersystems.helpdesk.general.*;
import cz.tendersystems.helpdesk.service.general.*;

public class FileDownloadServlet extends HttpServlet {

	@EJB
	FileService fileService;

	private static final long serialVersionUID = -3903970528601124039L;

	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		Long id = Long.parseLong(request.getParameter("id"));

		FileData metadata = fileService.downloadFile(id);

		if (metadata == null || metadata.getInputStream() == null) {
			throw new IllegalArgumentException();
		}

		ToolsForBinaryDownload.downloadFile(request, response, metadata.getInputStream(), metadata.getName(), metadata.getSize().intValue());
	}
}
