package cz.tendersystems.helpdesk.entity.enums;

public enum RoleType {

	ADMINISTRATOR(UserType.SOLVER),
	WATCHER(UserType.SOLVER),
	SOLVER(UserType.SOLVER),
	OUTSOURCER(UserType.OUTSOURCER);

	private UserType userType;

	private RoleType(UserType userType) {
		this.userType = userType;
	}

	public static RoleType[] roleOfSolver() {
		RoleType[] roleTypes = { ADMINISTRATOR, WATCHER, SOLVER };

		return roleTypes;
	}

	public UserType getUserType() {
		return userType;
	}
}
