package cz.tendersystems.helpdesk.general;

import org.jboss.logging.*;
import cz.tendersystems.helpdesk.entity.enums.*;

public class ToolsForLog {

	public static void write(Class<?> type, LevelRecord levelRecord, String text, Object... parameters) {
		Logger logger = Logger.getLogger(type);

		switch (levelRecord) {
			case INFORMATION:
				logger.infov(text, parameters);
				break;
			case ERROR:
				logger.errorv(text, parameters);
				break;
			default:
				break;
		}
	}
}
