package cz.tendersystems.helpdesk.service.list;

public class RequestList<F extends Filter<?>> {

	private F filter;
	private Integer firstIndexRecord;
	private Integer recordCounter;

	protected RequestList() {
	}

	public RequestList(F filter, Integer firstIndexRecord, Integer recordCounter) {
		this.filter = filter;
		this.firstIndexRecord = firstIndexRecord;
		this.recordCounter = recordCounter;
	}

	public F getFilter() {
		return filter;
	}

	public Integer getFirstIndexRecord() {
		return firstIndexRecord;
	}

	public Integer getRecordCounter() {
		return recordCounter;
	}
}
