package cz.tendersystems.helpdesk.service.list;

import java.util.*;

public class Response<D> {

	private List<D> data;
	private Long recordCounter;

	protected Response() {
	}

	public Response(List<D> data, Long recordCounter) {
		this.data = data;
		this.recordCounter = recordCounter;
	}

	public List<D> getData() {
		return data;
	}

	public Long getRecordCounter() {
		return recordCounter;
	}
}
