package cz.tendersystems.helpdesk.general;

import org.junit.*;

public class ToolsForFileSizeTest {

	@Test
	public void shouldConvertToString() {
		Assert.assertEquals("1 B", ToolsForFileSize.convertToString(1l));
		Assert.assertEquals("10 B", ToolsForFileSize.convertToString(10l));
		Assert.assertEquals("100 B", ToolsForFileSize.convertToString(100l));
		Assert.assertEquals("1 kB", ToolsForFileSize.convertToString(1000l));
		Assert.assertEquals("10 kB", ToolsForFileSize.convertToString(10000l));
		Assert.assertEquals("100 kB", ToolsForFileSize.convertToString(100000l));
		Assert.assertEquals("1 MB", ToolsForFileSize.convertToString(1000000l));
		Assert.assertEquals("10 MB", ToolsForFileSize.convertToString(10000000l));
		Assert.assertEquals("100 MB", ToolsForFileSize.convertToString(100000000l));
		Assert.assertEquals("1 GB", ToolsForFileSize.convertToString(1000000000l));
	}
}
