function registrationFunction() {
	extendPrototypePanel();
	disableMoveColumnsRichDataTable();
	setValuesBlinds();
	performActionsAfterProcessingTheRequest();
};

// ZPRACOVANI POZADAVKU

function performActionsBeforeProcessingTheRequest() {
	ongoingProcessingOfRequirementsSet(true);
}

function performActionsAfterProcessingTheRequest() {
	shortenTheTextOfTheElementsByClass('mainTitle');
	minglingSetOfErrorMessagesByClicking();
	moveSentErrorMessages();
	setTheHeightOfRowsOfTile();
	ongoingProcessingOfRequirementsSet(false);
}

// SKRYVANI CHYBOVYCH HLASEK PO KLIKNUTI

function minglingSetOfErrorMessagesByClicking() {
	elementy = $("span.rf-msg");
	for (var i = 0; i < elementy.length; i++) {
		$(elementy[i]).click(function() {
			if ($(this).has("span")) {
				$(this).children().hide();
			}
		});
	}
};

// POSUNUTI STRANKY NA PRVNI CHYBOVOU HLASKU

function moveSentErrorMessages() {
	elementy = $("span.rf-msg");
	for (var i = 0; i < elementy.length; i++) {
		element = $(elementy[i]);
		if (element.children().length && !element.closest('div.rf-pp-cnt').length) {
			$('html, body').animate({
				scrollTop: $(element[0]).offset().top
			}, 1000);
			break;
		}
	}
};

// NASTAVENI VYSKY DLAZDIC

function setTheHeightOfRowsOfTile() {
	jQuery('.rf-dg-r').each(function() {
		var tileRow = $(this).find('.rf-p');
		var maxHeight = 0;

		tileRow.each(function() {
			var tileHeight = $(this).height();
			if (tileHeight > maxHeight) {
				maxHeight = tileHeight;
			}
		});

		tileRow.each(function() {
			$(this).height(maxHeight);
		});
	});
};

// NASTAVENI HODNOTY ROLETEK PO NACTENI/OBNOVENI STRANKY (problem s
// "autocomplete" ve Firefoxu)

function setValuesBlinds() {
	var selektorProZvolenouMoznost = 'option[selected="selected"]';
	jQuery('select').each(
			function() {
				if ($(this).find(selektorProZvolenouMoznost).length) {
					$(this).prop("selectedIndex",
							$(this).find(selektorProZvolenouMoznost).index());
				} else {
					$(this).prop("selectedIndex", 0);
				}
			});
};

// NAHRAVANI SOUBORU

function setFileName(element) {
	$(element).closest('span.uploadFile').find('span.nameFile').text($(element).val().split('/(\\|\/)/g').pop());
}

// UPRAVA ROZMERU ELEMENTU

function shortenTheTextOfTheElementsByClass() {
	shortenTheTextElement("class", arguments);
};

function shortenTheTextElement(selector, values) {
	for (var i = 0; i < values.length; i++) {
		$("*[" + selector + "$='" + values[i] + "']").each(
				function() {
					$(this).css({
						"white-space" : "nowrap"
					});
					originalText = $(this).text();
					
					corection = $(this).next(
							'input[type="button"][value="Update"]')
							.outerWidth() || 0;
					while ($(this)[0].scrollWidth + corection >= Math.max($(this)
							.parent().width(), parseInt($(this).parent().css(
							'max-width')) || 0)) {
						if (!$(this).is("[title]")) {
							$(this).attr("title", $(this).text());
						}
						$(this).text(
								$(this).text().slice(0,
										$(this).text().length - 1));
						if ($(this).text().length == 3) {
							$(this).text(originalText);
							break;
						}
					}
					if (originalText != $(this).text()) {
						$(this).text(
								$(this).text().slice(0,
										$(this).text().length - 4)
										+ "...");
					}
				});
	}
};

// KURZOR PRO PROBIHAJICI ZPRACOVANI POZADAVKU

function enableIndicationRequestProcessing() {
	$(document.body).addClass("indicationOfTheOngoingProcessingOfRequests");
}

function disableIndicationRequestProcessing() {
	$(document.body).removeClass("indicationOfTheOngoingProcessingOfRequests");
}

function ongoingProcessingOfRequirementsSet(isProcessing) {
	if (isProcessing && isProcessing == true) {
		$(document.body).addClass("ongoingProcessingRequests");
	} else {
		$(document.body).removeClass("ongoingProcessingRequests");
	}
};

// SLIDER

function initializeSlider() {
	$('#slider').nivoSlider({
		effect : 'random', // Specify sets like: 'fold,fade,sliceDown'
		slices : 10, // For slice animations
		boxCols : 8, // For box animations
		boxRows : 4, // For box animations
		animSpeed : 1000, // Slide transition speed
		pauseTime : 8000, // How long each slide will show
		startSlide : 0, // Set starting Slide (0 index)
		directionNav : true, // Next & Prev navigation
		controlNav : true, // 1,2,3... navigation
		controlNavThumbs : false, // Use thumbnails for Control Nav
		pauseOnHover : true, // Stop animation while hovering
		manualAdvance : false, // Force manual transitions
		prevText : 'Prev', // Prev directionNav text
		nextText : 'Next', // Next directionNav text
		randomStart : false, // Start on a random slide
		beforeChange : function() {
		}, // Triggers before a slide transition
		afterChange : function() {
		}, // Triggers after a slide transition
		slideshowEnd : function() {
		}, // Triggers after all slides have been shown
		lastSlide : function() {
		}, // Triggers when last slide is shown
		afterLoad : function() {
		} // Triggers when slider has loaded
	});
};

// JAVASCRIPT PRO ODPOCET CASU

function Countdown(options) {
	var timer = null, instance = this, seconds = options.seconds || 10, counterStart = options.onCounterStart
			|| function() {
			}, updateStatus = options.onUpdateStatus || function() {
	}, counterEnd = options.onCounterEnd || function() {
	};

	function decrementCounter() {
		updateStatus(seconds);
		if (seconds === 0) {
			counterEnd();
			instance.stop();
		}
		seconds--;
	}

	this.start = function() {
		counterStart();
		updateStatus(options.seconds);
		clearInterval(timer);
		timer = 0;
		seconds = options.seconds - 1;
		timer = setInterval(decrementCounter, 1000);
	};

	this.stop = function() {
		clearInterval(timer);
	};
};

// IMPLEMENTACE ODPOCTU CASU PRO AUTOMATICKE ODHLASENI

var timeToLogout = new Countdown({
	seconds : 60,
	onUpdateStatus : function(sec) {
		$("#timeToLogout").text(sec);
	},
	onCounterEnd : function(sec) {
		$("a[id$='automaticLogoutButton']").click();
	}
});

// JAVASCRIPT PRO PRESNY ODPOCET CASU

function CountDownTimer(duration, granularity) {
	this.duration = duration;
	this.granularity = granularity || 1000;
	this.tickFtns = [];
	this.running = false;
}

CountDownTimer.prototype.start = function() {
	if (this.running) {
		return;
	}
	this.running = true;
	var start = Date.now(), that = this, diff, obj;

	(function timer() {
		diff = that.duration - (((Date.now() - start) / 1000) | 0);

		if (that.running == false) {
			return;
		} else if (diff > 0) {
			setTimeout(timer, that.granularity);
		} else {
			diff = 0;
			that.running = false;
		}

		obj = CountDownTimer.parse(diff);

		$.each(that.tickFtns, function(index, ftn) {
			ftn.call(that, obj.hours, obj.minutes, obj.seconds);
		});
	}());
};

CountDownTimer.prototype.stop = function() {
	this.running = false;
};

CountDownTimer.prototype.onTick = function(ftn) {
	if (typeof ftn === 'function') {
		this.tickFtns.push(ftn);
	}
	return this;
};

CountDownTimer.prototype.expired = function() {
	return !this.running;
};

CountDownTimer.parse = function(seconds) {
	return {
		'hours' : (seconds / 60 / 60) | 0,
		'minutes' : (seconds / 60 % 60) | 0,
		'seconds' : (seconds % 60) | 0
	};
};

// UPRAVA PROTOTYPU

function extendPrototypePanel() {
	if (RichFaces.ui.PopupPanel) {
		jQuery.extend(RichFaces.ui.PopupPanel.prototype, {
			toggle : function(event, opts) {
				if (this.shown) {
					this.hide(event, opts);
				} else {
					this.show(event, opts);
				}
			}
		});
	}
};

function disableMoveColumnsRichDataTable() {
	if (RichFaces.ui.ExtendedDataTable) {
		RichFaces.ui.ExtendedDataTable.prototype.reorder = function(event) {
		};
		RichFaces.ui.ExtendedDataTable.prototype.beginReorder = function(event) {
		};
		RichFaces.ui.ExtendedDataTable.prototype.overReorder = function(event) {
		};
		RichFaces.ui.ExtendedDataTable.prototype.outReorder = function(event) {
		};
		RichFaces.ui.ExtendedDataTable.prototype.endReorder = function(event) {
		};
		RichFaces.ui.ExtendedDataTable.prototype.cancelReorder = function(event) {
		};
	}
};

// ZPRACOVAT STISK KLAVESY PRI PRIHLSENI
function handleKeyStroke(event) {
	if ((event.which || event.keyCode) == 13) {
		jQuery(event.target || event.srcElement).closest('form').find("a[id$='loginButton']").click();
	}
}

//Odeslat pokud není chyba
function ifNotErrorSend(noMessages, submitButton) {
	if (noMessages){
		document.getElementById(submitButton).click();
	}
};