package cz.tendersystems.helpdesk;

import javax.faces.application.*;
import org.apache.log4j.*;

public enum LogLevel {

	DEBUG(Level.DEBUG, null),
	INFORMATION(Level.INFO, FacesMessage.SEVERITY_INFO),
	WARNING(Level.WARN, FacesMessage.SEVERITY_WARN),
	ERROR(Level.ERROR, FacesMessage.SEVERITY_ERROR),
	SEVERITY_FATAL(Level.FATAL, FacesMessage.SEVERITY_FATAL);

	private Level writeLevel;
	private FacesMessage.Severity viewLevel;

	private LogLevel(Level writeLevel, FacesMessage.Severity viewLevel) {
		this.writeLevel = writeLevel;
		this.viewLevel = viewLevel;
	}

	public Level getWriteLevel() {
		return writeLevel;
	}

	public FacesMessage.Severity getViewLevel() {
		return viewLevel;
	}
}
