package cz.tendersystems.helpdesk.configuration;

import javax.ejb.*;
import javax.enterprise.context.*;
import javax.inject.*;
import cz.tendersystems.helpdesk.service.configuration.*;

@Named
@RequestScoped
public class ConfigurationAction {

	@EJB
	ConfigurationService confiturationService;

	public String getVersionName() {
		return confiturationService.getVersionName();
	}

	public String getRevisionNumber() {
		return confiturationService.getRevisionNumber();
	}

	public String getApplicationDomain() {
		return confiturationService.getApplicationDomain();
	}
}
