package cz.tendersystems.helpdesk.export;

import javax.inject.*;
import cz.tendersystems.helpdesk.*;
import cz.tendersystems.helpdesk.general.converters.*;

public abstract class AbstractExportAction extends AbstractAction {

	@Inject
	ReparationStringValueConverter reparationStringValueConverter;

	protected abstract String prepareContentType();

	protected abstract String prepareFileName();

	protected abstract String prepareSuffix();
}