package cz.tendersystems.helpdesk.general;

import java.math.*;
import java.util.*;
import javax.enterprise.context.*;
import javax.inject.*;

@Named
@RequestScoped
public class TestovaciHodnotyFormulareAction {

	private String retezec = "Testovaci retezec";

	private Date datum = new Date();

	private Long cisloLong = 12345678L;

	private BigDecimal cisloBigDecimal = new BigDecimal(55223344.55);

	private TestovaciVyctovyTyp vyctovyTyp = TestovaciVyctovyTyp.POVOLEN;

	private Boolean logickaHodnota = true;

	public String getRetezec() {
		return retezec;
	}

	public void setRetezec(String retezec) {
		this.retezec = retezec;
	}

	public Date getDatum() {
		return datum;
	}

	public void setDatum(Date datum) {
		this.datum = datum;
	}

	public Long getCisloLong() {
		return cisloLong;
	}

	public void setCisloLong(Long cisloLong) {
		this.cisloLong = cisloLong;
	}

	public BigDecimal getCisloBigDecimal() {
		return cisloBigDecimal;
	}

	public void setCisloBigDecimal(BigDecimal cisloBigDecimal) {
		this.cisloBigDecimal = cisloBigDecimal;
	}

	public TestovaciVyctovyTyp getVyctovyTyp() {
		return vyctovyTyp;
	}

	public void setVyctovyTyp(TestovaciVyctovyTyp vyctovyTyp) {
		this.vyctovyTyp = vyctovyTyp;
	}

	public Boolean getLogickaHodnota() {
		return logickaHodnota;
	}

	public void setLogickaHodnota(Boolean logickaHodnota) {
		this.logickaHodnota = logickaHodnota;
	}

	public TestovaciVyctovyTyp[] getTestovaciVyctovyTypHodnoty() {
		return TestovaciVyctovyTyp.values();
	}

	public enum TestovaciVyctovyTyp {
		POVOLEN, ZAKAZAN, SMAZAN;
	}
}
