package cz.tendersystems.helpdesk.general.converters;

import java.text.*;
import javax.enterprise.context.*;
import javax.faces.component.*;
import javax.faces.context.*;
import javax.faces.convert.*;
import javax.inject.*;
import cz.tendersystems.helpdesk.data.request.*;

@Named
@RequestScoped
public class AuthorConverter implements Converter {

	@Override
	public Object getAsObject(FacesContext context, UIComponent component, String stringValue) {
		throw new UnsupportedOperationException();
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component, Object object) {
		if (!(object instanceof AuthorData)) {
			throw new IllegalArgumentException("Hodnota musi byt typu " + AuthorData.class.getName());
		}

		return convertAuthorToString((AuthorData) object);
	}

	private String convertAuthorToString(AuthorData author) {
		StringBuffer buffer = new StringBuffer();

		if (author.getLoggedUser() == null) {
			buffer.append(MessageFormat.format("{0} {1}- {2}", author.getAnonymous().getName(), author.getAnonymous().getSurname(), author.getCompanyName()));
		} else {
			buffer.append(MessageFormat.format("{0} {1}- {2}", author.getLoggedUser().getPerson().getName(), author.getLoggedUser().getPerson().getSurname(), author.getLoggedUser().getOutsourcer().getCompanyName()));
		}

		return buffer.toString();
	}
}