
package cz.tendersystems.helpdesk.general.jsf.exception;

import javax.faces.context.*;

public class HelpdeskExceptionHandlerFactory extends ExceptionHandlerFactory {

	private ExceptionHandlerFactory parent;

	public HelpdeskExceptionHandlerFactory(ExceptionHandlerFactory parent) {
		this.parent = parent;
	}

	@Override
	public ExceptionHandler getExceptionHandler() {
		return new HelpdeskExceptionHandler(parent.getExceptionHandler());
	}
}