package cz.tendersystems.helpdesk.security;

import javax.ejb.*;
import javax.enterprise.context.*;
import javax.inject.*;
import cz.tendersystems.helpdesk.entity.enums.*;
import cz.tendersystems.helpdesk.service.security.*;

@Named
@RequestScoped
public class RequestSecurityAction {

	@EJB
	RequestSecurityService requestSecurityService;

	public boolean authorityCreateComment(String idRequest) {
		return requestSecurityService.authorityCreateComment(idRequest);
	}

	public boolean authorityUpdateRequest(String idRequest, RequestStatus status) {
		return requestSecurityService.authorityUpdateRequest(idRequest, status);
	}
}